// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.17.3
// source: src/proto/kernel.proto

package proto

import (
	kernelpb "gitlab.com/ethan.reesor/vscode-notebooks/lib/kernelpb"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ToKernel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Kind:
	//	*ToKernel_Evaluate
	//	*ToKernel_Prompted
	//	*ToKernel_Cached
	//	*ToKernel_CancelEval
	Kind isToKernel_Kind `protobuf_oneof:"kind"`
}

func (x *ToKernel) Reset() {
	*x = ToKernel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_src_proto_kernel_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel) ProtoMessage() {}

func (x *ToKernel) ProtoReflect() protoreflect.Message {
	mi := &file_src_proto_kernel_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel.ProtoReflect.Descriptor instead.
func (*ToKernel) Descriptor() ([]byte, []int) {
	return file_src_proto_kernel_proto_rawDescGZIP(), []int{0}
}

func (m *ToKernel) GetKind() isToKernel_Kind {
	if m != nil {
		return m.Kind
	}
	return nil
}

func (x *ToKernel) GetEvaluate() *kernelpb.Eval_Code {
	if x, ok := x.GetKind().(*ToKernel_Evaluate); ok {
		return x.Evaluate
	}
	return nil
}

func (x *ToKernel) GetPrompted() *kernelpb.VSCode_Prompted {
	if x, ok := x.GetKind().(*ToKernel_Prompted); ok {
		return x.Prompted
	}
	return nil
}

func (x *ToKernel) GetCached() *kernelpb.VSCode_Cached {
	if x, ok := x.GetKind().(*ToKernel_Cached); ok {
		return x.Cached
	}
	return nil
}

func (x *ToKernel) GetCancelEval() *kernelpb.Eval_Cancel {
	if x, ok := x.GetKind().(*ToKernel_CancelEval); ok {
		return x.CancelEval
	}
	return nil
}

type isToKernel_Kind interface {
	isToKernel_Kind()
}

type ToKernel_Evaluate struct {
	Evaluate *kernelpb.Eval_Code `protobuf:"bytes,1,opt,name=evaluate,proto3,oneof"`
}

type ToKernel_Prompted struct {
	Prompted *kernelpb.VSCode_Prompted `protobuf:"bytes,2,opt,name=prompted,proto3,oneof"`
}

type ToKernel_Cached struct {
	Cached *kernelpb.VSCode_Cached `protobuf:"bytes,3,opt,name=cached,proto3,oneof"`
}

type ToKernel_CancelEval struct {
	CancelEval *kernelpb.Eval_Cancel `protobuf:"bytes,4,opt,name=cancelEval,proto3,oneof"`
}

func (*ToKernel_Evaluate) isToKernel_Kind() {}

func (*ToKernel_Prompted) isToKernel_Kind() {}

func (*ToKernel_Cached) isToKernel_Kind() {}

func (*ToKernel_CancelEval) isToKernel_Kind() {}

type FromKernel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Kind:
	//	*FromKernel_Output
	//	*FromKernel_Evaluated
	//	*FromKernel_ReadCache
	//	*FromKernel_WriteCache
	//	*FromKernel_Prompt
	Kind isFromKernel_Kind `protobuf_oneof:"kind"`
}

func (x *FromKernel) Reset() {
	*x = FromKernel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_src_proto_kernel_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel) ProtoMessage() {}

func (x *FromKernel) ProtoReflect() protoreflect.Message {
	mi := &file_src_proto_kernel_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel.ProtoReflect.Descriptor instead.
func (*FromKernel) Descriptor() ([]byte, []int) {
	return file_src_proto_kernel_proto_rawDescGZIP(), []int{1}
}

func (m *FromKernel) GetKind() isFromKernel_Kind {
	if m != nil {
		return m.Kind
	}
	return nil
}

func (x *FromKernel) GetOutput() *kernelpb.Eval_Output {
	if x, ok := x.GetKind().(*FromKernel_Output); ok {
		return x.Output
	}
	return nil
}

func (x *FromKernel) GetEvaluated() *kernelpb.Eval_Result {
	if x, ok := x.GetKind().(*FromKernel_Evaluated); ok {
		return x.Evaluated
	}
	return nil
}

func (x *FromKernel) GetReadCache() *kernelpb.VSCode_ReadCache {
	if x, ok := x.GetKind().(*FromKernel_ReadCache); ok {
		return x.ReadCache
	}
	return nil
}

func (x *FromKernel) GetWriteCache() *kernelpb.VSCode_WriteCache {
	if x, ok := x.GetKind().(*FromKernel_WriteCache); ok {
		return x.WriteCache
	}
	return nil
}

func (x *FromKernel) GetPrompt() *kernelpb.VSCode_Prompt {
	if x, ok := x.GetKind().(*FromKernel_Prompt); ok {
		return x.Prompt
	}
	return nil
}

type isFromKernel_Kind interface {
	isFromKernel_Kind()
}

type FromKernel_Output struct {
	Output *kernelpb.Eval_Output `protobuf:"bytes,1,opt,name=output,proto3,oneof"`
}

type FromKernel_Evaluated struct {
	Evaluated *kernelpb.Eval_Result `protobuf:"bytes,2,opt,name=evaluated,proto3,oneof"`
}

type FromKernel_ReadCache struct {
	ReadCache *kernelpb.VSCode_ReadCache `protobuf:"bytes,3,opt,name=readCache,proto3,oneof"`
}

type FromKernel_WriteCache struct {
	WriteCache *kernelpb.VSCode_WriteCache `protobuf:"bytes,4,opt,name=writeCache,proto3,oneof"`
}

type FromKernel_Prompt struct {
	Prompt *kernelpb.VSCode_Prompt `protobuf:"bytes,5,opt,name=prompt,proto3,oneof"`
}

func (*FromKernel_Output) isFromKernel_Kind() {}

func (*FromKernel_Evaluated) isFromKernel_Kind() {}

func (*FromKernel_ReadCache) isFromKernel_Kind() {}

func (*FromKernel_WriteCache) isFromKernel_Kind() {}

func (*FromKernel_Prompt) isFromKernel_Kind() {}

var File_src_proto_kernel_proto protoreflect.FileDescriptor

var file_src_proto_kernel_proto_rawDesc = []byte{
	0x0a, 0x16, 0x73, 0x72, 0x63, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6b, 0x65, 0x72, 0x6e,
	0x65, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x13, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64,
	0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xc6, 0x01,
	0x0a, 0x08, 0x54, 0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x12, 0x28, 0x0a, 0x08, 0x65, 0x76,
	0x61, 0x6c, 0x75, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0a, 0x2e, 0x45,
	0x76, 0x61, 0x6c, 0x2e, 0x43, 0x6f, 0x64, 0x65, 0x48, 0x00, 0x52, 0x08, 0x65, 0x76, 0x61, 0x6c,
	0x75, 0x61, 0x74, 0x65, 0x12, 0x2e, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x65, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x56, 0x53, 0x43, 0x6f, 0x64, 0x65, 0x2e,
	0x50, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x65, 0x64, 0x48, 0x00, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x6d,
	0x70, 0x74, 0x65, 0x64, 0x12, 0x28, 0x0a, 0x06, 0x63, 0x61, 0x63, 0x68, 0x65, 0x64, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x56, 0x53, 0x43, 0x6f, 0x64, 0x65, 0x2e, 0x43, 0x61,
	0x63, 0x68, 0x65, 0x64, 0x48, 0x00, 0x52, 0x06, 0x63, 0x61, 0x63, 0x68, 0x65, 0x64, 0x12, 0x2e,
	0x0a, 0x0a, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x45, 0x76, 0x61, 0x6c, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x45, 0x76, 0x61, 0x6c, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c,
	0x48, 0x00, 0x52, 0x0a, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x45, 0x76, 0x61, 0x6c, 0x42, 0x06,
	0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x22, 0xfd, 0x01, 0x0a, 0x0a, 0x46, 0x72, 0x6f, 0x6d, 0x4b,
	0x65, 0x72, 0x6e, 0x65, 0x6c, 0x12, 0x26, 0x0a, 0x06, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x45, 0x76, 0x61, 0x6c, 0x2e, 0x4f, 0x75, 0x74,
	0x70, 0x75, 0x74, 0x48, 0x00, 0x52, 0x06, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x2c, 0x0a,
	0x09, 0x65, 0x76, 0x61, 0x6c, 0x75, 0x61, 0x74, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x0c, 0x2e, 0x45, 0x76, 0x61, 0x6c, 0x2e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x48, 0x00,
	0x52, 0x09, 0x65, 0x76, 0x61, 0x6c, 0x75, 0x61, 0x74, 0x65, 0x64, 0x12, 0x31, 0x0a, 0x09, 0x72,
	0x65, 0x61, 0x64, 0x43, 0x61, 0x63, 0x68, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11,
	0x2e, 0x56, 0x53, 0x43, 0x6f, 0x64, 0x65, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x43, 0x61, 0x63, 0x68,
	0x65, 0x48, 0x00, 0x52, 0x09, 0x72, 0x65, 0x61, 0x64, 0x43, 0x61, 0x63, 0x68, 0x65, 0x12, 0x34,
	0x0a, 0x0a, 0x77, 0x72, 0x69, 0x74, 0x65, 0x43, 0x61, 0x63, 0x68, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x12, 0x2e, 0x56, 0x53, 0x43, 0x6f, 0x64, 0x65, 0x2e, 0x57, 0x72, 0x69, 0x74,
	0x65, 0x43, 0x61, 0x63, 0x68, 0x65, 0x48, 0x00, 0x52, 0x0a, 0x77, 0x72, 0x69, 0x74, 0x65, 0x43,
	0x61, 0x63, 0x68, 0x65, 0x12, 0x28, 0x0a, 0x06, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x56, 0x53, 0x43, 0x6f, 0x64, 0x65, 0x2e, 0x50, 0x72,
	0x6f, 0x6d, 0x70, 0x74, 0x48, 0x00, 0x52, 0x06, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x42, 0x06,
	0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x32, 0x2f, 0x0a, 0x06, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c,
	0x12, 0x25, 0x0a, 0x07, 0x53, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x09, 0x2e, 0x54, 0x6f,
	0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x1a, 0x0b, 0x2e, 0x46, 0x72, 0x6f, 0x6d, 0x4b, 0x65, 0x72,
	0x6e, 0x65, 0x6c, 0x28, 0x01, 0x30, 0x01, 0x42, 0x3e, 0x5a, 0x3c, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x65, 0x74, 0x68, 0x61, 0x6e, 0x2e, 0x72, 0x65, 0x65, 0x73,
	0x6f, 0x72, 0x2f, 0x76, 0x73, 0x63, 0x6f, 0x64, 0x65, 0x2d, 0x6e, 0x6f, 0x74, 0x65, 0x62, 0x6f,
	0x6f, 0x6b, 0x73, 0x2f, 0x67, 0x6f, 0x2d, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2f, 0x73, 0x72,
	0x63, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_src_proto_kernel_proto_rawDescOnce sync.Once
	file_src_proto_kernel_proto_rawDescData = file_src_proto_kernel_proto_rawDesc
)

func file_src_proto_kernel_proto_rawDescGZIP() []byte {
	file_src_proto_kernel_proto_rawDescOnce.Do(func() {
		file_src_proto_kernel_proto_rawDescData = protoimpl.X.CompressGZIP(file_src_proto_kernel_proto_rawDescData)
	})
	return file_src_proto_kernel_proto_rawDescData
}

var file_src_proto_kernel_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_src_proto_kernel_proto_goTypes = []interface{}{
	(*ToKernel)(nil),                   // 0: ToKernel
	(*FromKernel)(nil),                 // 1: FromKernel
	(*kernelpb.Eval_Code)(nil),         // 2: Eval.Code
	(*kernelpb.VSCode_Prompted)(nil),   // 3: VSCode.Prompted
	(*kernelpb.VSCode_Cached)(nil),     // 4: VSCode.Cached
	(*kernelpb.Eval_Cancel)(nil),       // 5: Eval.Cancel
	(*kernelpb.Eval_Output)(nil),       // 6: Eval.Output
	(*kernelpb.Eval_Result)(nil),       // 7: Eval.Result
	(*kernelpb.VSCode_ReadCache)(nil),  // 8: VSCode.ReadCache
	(*kernelpb.VSCode_WriteCache)(nil), // 9: VSCode.WriteCache
	(*kernelpb.VSCode_Prompt)(nil),     // 10: VSCode.Prompt
}
var file_src_proto_kernel_proto_depIdxs = []int32{
	2,  // 0: ToKernel.evaluate:type_name -> Eval.Code
	3,  // 1: ToKernel.prompted:type_name -> VSCode.Prompted
	4,  // 2: ToKernel.cached:type_name -> VSCode.Cached
	5,  // 3: ToKernel.cancelEval:type_name -> Eval.Cancel
	6,  // 4: FromKernel.output:type_name -> Eval.Output
	7,  // 5: FromKernel.evaluated:type_name -> Eval.Result
	8,  // 6: FromKernel.readCache:type_name -> VSCode.ReadCache
	9,  // 7: FromKernel.writeCache:type_name -> VSCode.WriteCache
	10, // 8: FromKernel.prompt:type_name -> VSCode.Prompt
	0,  // 9: Kernel.Session:input_type -> ToKernel
	1,  // 10: Kernel.Session:output_type -> FromKernel
	10, // [10:11] is the sub-list for method output_type
	9,  // [9:10] is the sub-list for method input_type
	9,  // [9:9] is the sub-list for extension type_name
	9,  // [9:9] is the sub-list for extension extendee
	0,  // [0:9] is the sub-list for field type_name
}

func init() { file_src_proto_kernel_proto_init() }
func file_src_proto_kernel_proto_init() {
	if File_src_proto_kernel_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_src_proto_kernel_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_src_proto_kernel_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_src_proto_kernel_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*ToKernel_Evaluate)(nil),
		(*ToKernel_Prompted)(nil),
		(*ToKernel_Cached)(nil),
		(*ToKernel_CancelEval)(nil),
	}
	file_src_proto_kernel_proto_msgTypes[1].OneofWrappers = []interface{}{
		(*FromKernel_Output)(nil),
		(*FromKernel_Evaluated)(nil),
		(*FromKernel_ReadCache)(nil),
		(*FromKernel_WriteCache)(nil),
		(*FromKernel_Prompt)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_src_proto_kernel_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_src_proto_kernel_proto_goTypes,
		DependencyIndexes: file_src_proto_kernel_proto_depIdxs,
		MessageInfos:      file_src_proto_kernel_proto_msgTypes,
	}.Build()
	File_src_proto_kernel_proto = out.File
	file_src_proto_kernel_proto_rawDesc = nil
	file_src_proto_kernel_proto_goTypes = nil
	file_src_proto_kernel_proto_depIdxs = nil
}
